import type { Linter } from 'eslint';

type MiddlewareResult = Linter.Config | Linter.Config[];

export type Middleware =
  | (() => Promise<MiddlewareResult>)
  | (() => Promise<{ default: MiddlewareResult }>);

// eslint-disable-next-line unicorn/prevent-abbreviations
export const def = <T>(module: { default: T }): T => module.default;
