import type { JSDocRulesObject } from '@aet/eslint-define-config/src/rules/jsdoc';
import module from 'eslint-plugin-jsdoc';

import { off } from '../constants';
import { defineConfig } from '../types';

const jsdocRules: Partial<JSDocRulesObject> = {
  'jsdoc/require-jsdoc': off,
};

export default defineConfig([
  module.configs['flat/recommended-typescript'],
  { name: 'eslint-rules/jsdoc', rules: jsdocRules },
]);
