// eslint-disable-next-line import-x/unambiguous
declare module 'eslint-plugin-react-refresh' {
  import type { TSESLint } from '@typescript-eslint/utils';

  export const rules: {
    'only-export-components': TSESLint.RuleModule<
      'exportAll' | 'namedExport' | 'anonymousExport' | 'noExport' | 'localComponents',
      | []
      | [
          {
            allowConstantExport?: boolean;
            checkJS?: boolean;
            allowExportNames?: string[];
          },
        ]
    >;
  };
}
