// eslint-disable-next-line import-x/unambiguous
declare module 'module' {
  export function _resolveFilename(
    request: string,
    parent: {
      /**
       * Can be null if the parent id is 'internal/preload' (e.g. via --require)
       * which doesn't have a file path.
       */
      filename: string | null;
    },
    isMain: boolean,
    options?: Record<PropertyKey, unknown>,
  ): string;
}

declare module 'eslint-plugin-storybook' {
  import type { Linter } from 'eslint';

  export const configs: {
    /** @deprecated */
    csf: Linter.Config;
    /** @deprecated */
    recommended: Linter.Config;
    'flat/csf': Linter.Config;
    'flat/recommended': Linter.Config;
    'flat/csf-strict': Linter.Config;
    'flat/addon-interactions': Linter.Config;
  };
}
