import { def } from '../middleware';
import { defineConfig } from '../types';

export async function storybook() {
  const { configs } = def(await import('eslint-plugin-storybook'));
  return defineConfig([configs['flat/recommended']]);
}

export async function reactQuery() {
  const { configs } = def(await import('@tanstack/eslint-plugin-query'));
  return defineConfig(configs['flat/recommended']);
}

export async function vitest() {
  const { configs } = def(await import('eslint-plugin-vitest'));
  return defineConfig([configs.recommended]);
}
