import type { TestingLibraryRulesObject } from '@aet/eslint-define-config/src/rules/testing-library';
import testingLibrary from 'eslint-plugin-testing-library';

import { defineConfig } from '../types';

const testingLibraryRules: Partial<TestingLibraryRulesObject> = {};

export default defineConfig({
  name: 'eslint-rules/testing-library',
  files: ['**/*.(spec|test).{ts,tsx}'],
  ...testingLibrary.configs['flat/react'],
  rules: {
    ...testingLibrary.configs['flat/react'].rules,
    ...testingLibraryRules,
  },
});
